Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.http.converter
Class HttpMessageNotWritableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.http.converter.HttpMessageConversionException
                          org.springframework.http.converter.HttpMessageNotWritableException

All Implemented Interfaces:
  java.io.Serializable

    public class HttpMessageNotWritableException

extends HttpMessageConversionException

Thrown by `HttpMessageConverter` implementations when the `write` method fails.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

Constructor Summary
`HttpMessageNotWritableException(java.lang.String msg)` Create a new HttpMessageNotWritableException.
`HttpMessageNotWritableException(java.lang.String msg, java.lang.Throwable cause)` Create a new HttpMessageNotWritableException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpMessageNotWritableException

    public HttpMessageNotWritableException(java.lang.String msg)

  Create a new HttpMessageNotWritableException.

  Parameters:
    `msg` - the detail message

### HttpMessageNotWritableException

    public HttpMessageNotWritableException(java.lang.String msg,
                                           java.lang.Throwable cause)

  Create a new HttpMessageNotWritableException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause (if any)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD